---
layout: post
title: "Finally launched my delta printer powered by a smoothie board on youmagine ."
date: June 27, 2015 20:44
category: "General discussion"
author: "Andrew Wade"
---
Finally launched my delta printer powered by a smoothie board on youmagine . All documentation is available also from my website [www.andornot.co.uk](http://www.andornot.co.uk). I intend to launch as a kit for £1200 and at a reduced price on kickstarter soon.





**"Andrew Wade"**

---


---
*Imported from [Google+](https://plus.google.com/112929738014057369475/posts/jbu5iEqSUQD) &mdash; content and formatting may not be reliable*
